#ifndef _PORT_H_
#define _PORT_H_

#include <sys/types.h>

#ifndef snes9x_types_defined
#define snes9x_types_defined

typedef unsigned char bool8;

typedef unsigned char uint8;
typedef unsigned short uint16;
typedef signed char int8;
typedef short int16;
typedef int int32;
typedef unsigned int uint32;
# ifdef __GNUC__  /* long long is not part of ISO C++ */
__extension__
# endif
typedef long long int64;

#endif /* snes9x_types_defined */

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#if defined(__cplusplus) || defined(c_plusplus)
#define EXTERN_C extern "C"
#define START_EXTERN_C extern "C" {
#define END_EXTERN_C }
#else
#define EXTERN_C extern
#define START_EXTERN_C
#define END_EXTERN_C
#endif

#define LSB_FIRST
#define STATIC static
#define FASTCALL 
#define INLINE inline
#define VOID void

#define READ_WORD(s) (*(uint16 *) (s))
#define SNES_SCANLINE_TIME (63.695e-6)

//#define APUDEBUG

#ifdef APUDEBUG
void aputrace(uint32 val);
#else
#define aputrace(x)
#endif

#endif
